org.apache.lucene.queryparser.flexible.core.nodes

## Interface ValueQueryNode<T>

- All Superinterfaces:
    QueryNode
  All Known Subinterfaces:
    FieldValuePairQueryNode<T>
  All Known Implementing Classes:
    FieldQueryNode, FuzzyQueryNode, NumericQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, WildcardQueryNode

      public interface ValueQueryNode<T>
      extends QueryNode

  This interface should be implemented by `QueryNode` that holds an arbitrary value.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue()`
    `void` | `setValue(T value)`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

      `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, toQueryString, toString, unsetTag`

- - ### Method Detail

    - #### setValue

          void setValue(T value)

    - #### getValue

          T getValue()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.